View a markdown version of this page

CreateDesignation - Amazon DataZone

CreateDesignation

Creates a new user-defined designation with a Cedar permit policy. The designation defines a named role that can be assigned to project members through CreateProjectMembership or granted through AddPolicyGrant.

Request Syntax

POST /v2/domains/domainIdentifier/designations HTTP/1.1 Content-type: application/json { "deletionProtection": boolean, "description": "string", "name": "string", "policy": "string" }

URI Request Parameters

The request uses the following URI parameters.

domainIdentifier

The identifier of the Amazon DataZone domain in which the designation is created.

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

Required: Yes

Request Body

The request accepts the following data in JSON format.

deletionProtection

Specifies whether deletion protection is enabled for this designation. Defaults to true when omitted. When enabled, DeleteDesignation is rejected until protection is disabled through UpdateDesignation.

Type: Boolean

Required: No

description

A human-readable description of the designation and its intended use.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Required: No

name

The name of the designation. The name must be unique within the domain.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\w -]+

Required: Yes

policy

The Cedar permit policy that defines the actions holders of this designation are allowed to perform.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 10000.

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "createdAt": "string", "createdBy": "string", "deletionProtection": boolean, "description": "string", "designationType": "string", "domainId": "string", "id": "string", "lastUpdatedAt": "string", "name": "string", "policy": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

createdAt

The date and time when the designation was created.

Type: Timestamp

createdBy

The identifier of the Amazon DataZone user who created the designation.

Type: String

deletionProtection

Specifies whether deletion protection is enabled for this designation. When true, DeleteDesignation is rejected until protection is disabled through UpdateDesignation.

Type: Boolean

description

A human-readable description of the designation and its intended use.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

designationType

The classification of this designation. Valid values:

  • MANAGED — System-defined designations that cannot be modified or deleted.

  • USER_CREATED — Designations created through CreateDesignation.

Type: String

Valid Values: MANAGED | USER_CREATED

domainId

The identifier of the Amazon DataZone domain in which the designation was created.

Type: String

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

id

The unique ID of the designation.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

lastUpdatedAt

The date and time when the designation was last updated.

Type: Timestamp

name

The name of the designation. The name is unique within the domain.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\w -]+

policy

The Cedar permit policy that governs the actions holders of this designation are allowed to perform.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 10000.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

There is a conflict while performing this action.

HTTP Status Code: 409

InternalServerException

The request has failed because of an unknown error, exception or failure.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource cannot be found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request has exceeded the specified service quota.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

UnauthorizedException

You do not have permission to perform this action.

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: